general_info <-
function (m, n, nc, Y, Yc, X, Z, ctl, W_fullctl, W_ctl, samplecoloring, 
    genecoloring, sampletexts, genetexts, samplesymbols, genesymbols, 
    initialize_collapsed = FALSE) 
{
    hcat("<font size=5> m = ", m, ", n = ", n, ", n_c = ", nc, 
        "</font><br><br>\n")
    exprs = filenames = matrix("", 1, 2)
    filenames[1, 1] = "screeY.png"
    filenames[1, 2] = "screeYc.png"
    exprs[1, 1] = "ruv_scree(Y, Z=Z)"
    exprs[1, 2] = "ruv_scree(Yc, Z=Z)"
    hdynamicplotmat("Scree Plots", "scree", exprs, filenames, 
        headers = c("Y", "Y_c"), dir = "general", initialize_collapsed = initialize_collapsed)
    exprs = filenames = matrix("", 1, 2)
    filenames[1, 1] = "rleY.png"
    filenames[1, 2] = "rleYc.png"
    exprs[1, 1] = "ruv_rle(Y, XZW=NULL, coloring=samplecoloring)"
    exprs[1, 2] = "ruv_rle(Yc, XZW=NULL, coloring=samplecoloring)"
    hdynamicplotmat("RLE Plots", "rle", exprs, filenames, headers = c("Y", 
        "Y_c"), dir = "general", initialize_collapsed = initialize_collapsed, 
        width = max(480, round(480 * m/75)))
    exprs = filenames = matrix("", 1, 1)
    filenames[1, 1] = "cancor.png"
    exprs[1, 1] = "ruv_cancorplot(X, W_fullctl, W2=W_ctl, col=c(1, genecoloring[ctl][1]))"
    hdynamicplotmat("Cancor Plots", "cancor", exprs, filenames, 
        dir = "general", initialize_collapsed = initialize_collapsed)
    exprs = filenames = matrix("", 1, 1)
    filenames[1, 1] = "pcgridplot.png"
    exprs[1, 1] = "ruv_pcgridplot(W_fullctl, W2=W_ctl, kset=c(1,2,3), coloring=samplecoloring, symbols=samplesymbols, texts=sampletexts)"
    hdynamicplotmat("PC Plots", "pcgrid", exprs, filenames, dir = "general", 
        height = 1000, width = 1000, initialize_collapsed = initialize_collapsed)
    exprs = filenames = matrix("", 1, 1)
    filenames[1, 1] = "alphagridplot.png"
    exprs[1, 1] = "ruv_pcgridplot(t(Y)%*%W_fullctl[,1:3], W2=t(Y)%*%W_ctl[,1:3], kset=c(1,2,3), coloring=genecoloring, texts=genetexts, symbols=genesymbols)"
    hdynamicplotmat("Alpha Plots", "alphagrid", exprs, filenames, 
        dir = "general", height = 1000, width = 1000, initialize_collapsed = initialize_collapsed)
}
