ruv_rle <-
function (Y, XZW = NULL, coloring = 1, xlab = "", ylims = c(-0.5, 
    0.5), ...) 
{
    if (!is.null(XZW)) 
        Y = t(residop(Y, XZW))
    else Y = t(Y)
    medians = apply(Y, 1, median)
    Y = Y - medians
    boxplot(Y, col = coloring, xaxt = "n", outline = F, ylim = ylims, 
        range = 0, ...)
    lines(c(0, ncol(Y)), c(0, 0))
}
