ruv_scree <-
function (Y, Z = 1, xlab = "K", ...) 
{
    m = nrow(Y)
    if (is.null(Z)) {
        q = 0
    }
    else if (length(Z) == 1) {
        if (Z == 1) {
            Z = matrix(1, m, 1)
            q = 1
        }
    }
    else {
        q = ncol(Z)
    }
    if (q > 0) {
        Y = residop(Y, Z)
    }
    plotval = log(svd(Y)$d[1:(m - q)])
    plot(plotval, xlab = xlab, ylab = "Log Eigenvalue", ...)
}
