ruv_toprankcountplot <-
function (counttable, kset, thresholds, linecolors = c("black", 
    "red", "blue", "magenta2", "green2")) 
{
    plot(c(min(kset), max(kset)), c(min(counttable), max(counttable)), 
        xlab = "K", ylab = c("Number of Top-Ranked positive controls", 
            paste(thresholds, collapse = ", ")), col = 0)
    for (i in 1:ncol(counttable)) lines(kset, counttable[, i], 
        lwd = 2, col = linecolors[(i - 1)%%length(linecolors) + 
            1])
}
