\name{ruv_toprankcountplot}
\alias{ruv_toprankcountplot}

\title{
RUV top rank count plot
}

\description{
  Creates a plot of the number of top-ranked positive controls as a function of K.
}

\usage{
ruv_toprankcountplot(counttable, kset, thresholds, linecolors)
}

\arguments{
  \item{counttable}{
    A matrix of top-rank counts.
}
  \item{kset}{
    Which values of K were used.
}
  \item{thresholds}{
    Which rank thresholds were used.
}
  \item{linecolors}{
    The colors of the lines to be plotted.  Recycled if necessary.
}
}


\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}

