get_coloring_order <-
function (coloring) 
{
    if (is.numeric(coloring)) 
        collevels = as.numeric(levels(as.factor(coloring)))
    else collevels = levels(as.factor(coloring))
    coln = length(collevels)
    colcounts = rep(0, coln)
    for (i in 1:coln) colcounts[i] = sum(coloring == collevels[i], 
        na.rm = TRUE)
    neworder = order(colcounts)
    neworder = neworder[coln:1]
    return(collevels[neworder])
}
