projplottable <-
function (fullfit, kset, factorset, genecoloring, genetexts, 
    genesymbols, initialize_collapsed = initialize_collapsed) 
{
    exprs = filenames = matrix("", length(kset), length(factorset))
    for (i in 1:length(kset)) for (j in 1:length(factorset)) {
        filenames[i, j] = paste("factorpp_k", kset[i], "f", factorset[j], 
            ".png", sep = "")
        exprs[i, j] = paste("ruv_factor_projectionplot(fullfit, ", 
            kset[i], ", ", factorset[j], ", coloring=genecoloring, coloring_order=NULL, symbols=genesymbols, texts=genetexts)", 
            sep = "")
    }
    hdynamicplotmat("Factor Projection Plots", "fpp", exprs, 
        filenames, headers = c(factorset), dir = "proj_plots", 
        initialize_collapsed = initialize_collapsed)
}
