ruv_projectionplot <-
function (byx, alpha, bwx, l = 1, coloring = NULL, coloring_order = NULL, 
    symbols = NULL, texts = NULL, ...) 
{
    y = as.vector(byx[l, ])
    graddir = bwx[l, ]/sqrt(sum(bwx[l, ]^2))
    gradslope = sum(bwx[l, ] * graddir)
    x = as.vector(t(matrix(graddir)) %*% alpha)
    linex = c(min(x), max(x))
    liney = linex * gradslope
    xlabel = "Gradient Factor"
    ruv_niceplot(x, y, coloring = coloring, coloring_order = coloring_order, 
        symbols = symbols, texts = texts, xlab = xlabel, ylab = expression(b[YX]), 
        ...)
    lines(linex, liney, col = "black")
}
