\name{ruv.extras-package}
\alias{ruv.extras-package}
\alias{ruv.extras}
\docType{package}

\title{
RUV Extras 
}

\description{
Various plot routines and scripts for RUV. 
}

\details{
\tabular{ll}{
Package: \tab ruv.extras\cr
Type: \tab Package\cr
Version: \tab 0.9.4\cr
Date: \tab 2014-10-24\cr
License: \tab GPL\cr
LazyLoad: \tab yes\cr
URL: \tab \href{http://www.stat.berkeley.edu/~johann/ruv}{http://www.stat.berkeley.edu/~johann/ruv} \cr
}
}

 
\note{ 
This package should not be considered part of the "core" of RUV.  The code in this package is intended mainly for demonstration purposes, and is subject to major revision, or even removal, in future versions of RUV. 
} 
 
\seealso{ 
\code{\link{ruv_starter_analysis}}, \code{\link{ruv}} 
} 
 
 


\author{ 
  Johann Gagnon-Bartsch <johann@stat.berkeley.edu> 
} 
 
\references{ 
Using control genes to correct for unwanted variation in microarray data.  Gagnon-Bartsch and Speed, 2012.  Available at: \href{http://biostatistics.oxfordjournals.org/content/13/3/539.full}{http://biostatistics.oxfordjournals.org/content/13/3/539.full}.  
 
Removing Unwanted Variation from High Dimensional Data with Negative Controls.  Gagnon-Bartsch, Jacob, and Speed, 2013.  Available at: \href{http://statistics.berkeley.edu/tech-reports/820}{http://statistics.berkeley.edu/tech-reports/820}. 
} 
 
\note{ 
Additional resources can be found at \href{http://www.stat.berkeley.edu/~johann/ruv}{http://www.stat.berkeley.edu/~johann/ruv}.  
} 
