\name{ruv_pvalhist}
\alias{ruv_pvalhist}

\title{
RUV p-value histogram
}

\description{
  Create a p-value histogram (for use in the RUV package).
}

\usage{
ruv_pvalhist(pvals, l = 1, xlab = "", ...)
}
\arguments{
  \item{pvals}{
    A matrix of p-values.  Each row corresponds to a factor of interest, and each column to a feature.
}
  \item{l}{
    Which factor of interest to plot.
}
  \item{xlab}{
    A label for the x-axis.
}
  \item{\dots}{
    Any other graphical parameters.
}
}

\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}

