\name{ruv_rle}
\alias{ruv_rle}

\title{
RUV RLE plot
}

\description{
  Create a RLE plot (for use in the RUV package).
}

\usage{
ruv_rle(Y, XZW = NULL, coloring = 1, xlab = "", ylims = c(-0.5, 0.5), ...)
}
\arguments{
  \item{Y}{
    The data.  A m by n matrix, where m is the number of samples and n is the number of features.
}
  \item{XZW}{
    Any factors to be projected away from the data before making the RLE plot.
}
  \item{coloring}{
    The colors to plot boxplots. 
}
  \item{xlab}{
    The x-axis label.
}
  \item{ylims}{
    The y-axis limits.
}
  \item{\dots}{
    Any other graphical parameters.
}
}

\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}



