\name{ruv_scree}
\alias{ruv_scree}

\title{
RUV scree plot
}

\description{
  Create a log scree plot (for use in the RUV package).
}

\usage{
ruv_scree(Y, Z = 1, xlab = "K", ...)
}

\arguments{
  \item{Y}{
     The data.  A m by n matrix, where m is the number of samples and n is the number of features.
}
  \item{Z}{
     Any additional covariates to include in the model.  Either a m by q matrix of covariates, or simply 1 (the default) for an intercept term.
}
  \item{xlab}{
     The x-axis label.
}
  \item{\dots}{
     Any other graphical parameters.
}
}

\value{
Does not return a (meaningful) value; simply generates a plot.
}

\author{
Johann Gagnon-Bartsch \email{johann@stat.berkeley.edu}
}

